<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'quiz', language 'en_wp', version '2.2'.
 *
 * @package     quiz
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['adaptive_help'] = 'If enabled, multiple responses to a question are allowed within the same attempt at the quiz. So for example if a response is marked as incorrect, the learner will be allowed to try again immediately. However, depending on the "Apply penalties" setting, a penalty will usually be subtracted for each wrong attempt.';
$string['addarandomquestion_help'] = 'When a random question is added, it results in a randomly-chosen question from the category being inserted into the quiz. This means that different learners are likely to get a different selection of questions, and when a quiz allows multiple attempts then each attempt is likely to contain a new selection of questions.';
$string['attemptsonly'] = 'Show only learners with attempts';
$string['bothattempts'] = 'Show learners with and without attempts';
$string['browsersecurity_help'] = 'If "Full screen pop-up with some JavaScript security" is selected,

* The quiz will only start if the learner has a JavaScript-enabled web-browser
* The quiz appears in a full screen popup window that covers all the other windows and has no navigation controls
* Learners are prevented, as far as is possible, from using facilities like copy and paste';
$string['configadaptive'] = 'If you choose Yes for this option then the learner will be allowed multiple responses to a question even within the same attempt at the quiz.';
$string['configattemptsallowed'] = 'Restriction on the number of attempts learners are allowed at the quiz.';
$string['configdelay1'] = 'If you set a time delay, then a learner has to wait for that time before they can attempt a quiz after the first attempt.';
$string['configdelay1st2nd'] = 'If you set a time delay here, the learner cannot start their second attempt until this much time has passed since the end of their first attempt.';
$string['configdelay2'] = 'If you set a time delay here, then a learner has to wait for that time before they can attempt their third or later attempts.';
$string['configdelaylater'] = 'If you set a time delay here, the learner cannot start their third, fourth, ... attempt until this much time has passed since the end of their previous attempt.';
$string['configgrademethod'] = 'When multiple attempts are allowed, which method should be used to calculate the learner\'s final grade for the quiz.';
$string['configrequirepassword'] = 'Learners must enter this password before they can attempt the quiz.';
$string['configrequiresubnet'] = 'Learners must enter this password before they can attempt the quiz.';
$string['configshufflewithin'] = 'If you enable this option, then the parts making up the individual questions will be randomly shuffled each time a learner starts an attempt at this quiz, provided the option is also enabled in the question settings.';
$string['delay1st2nd_help'] = 'If enabled, a learner must wait for the specified time to elapse before being able to attempt the quiz a second time.';
$string['delaylater_help'] = 'If enabled, a learner must wait for the specified time to elapse before attempting the quiz a third time and any subsequent times.';
$string['editingquiz_help'] = 'When creating a quiz, the main concepts are:

* The quiz, containing questions over one or more pages
* The question bank, which stores copies of all questions organised into categories
* Random questions -  A learner gets different questions each time they attempt the quiz and different learners can get different questions';
$string['filloutnumericalanswer'] = 'You provide at least one possible answer and tolerance. The first matching answer will be used to determine the grade and feedback. If you supply some feedback with no answer at the end, that will be shown to learners whose response is not matched by any of the other answers.';
$string['inactiveoverridehelp'] = '* Learner does not have the correct group or role to attempt the quiz';
$string['onlyteachersexport'] = 'Only trainers can export questions';
$string['onlyteachersimport'] = 'Only trainers with editing rights can import questions';
$string['popupnotice'] = 'Learners will see this quiz in a secure window';
$string['questiondeleted'] = 'This question has been deleted. Please contact your trainer.';
$string['quizopenclose_help'] = 'Learners can only start their attempt(s) after the open time and they must complete their attempts before the close time.';
$string['reportmulti_q_x_student'] = 'Multi-learner choices';
$string['requirepassword_help'] = 'If a password is specified, a learner must enter it in order to attempt the quiz.';
$string['reviewoptions'] = 'Learners may review';
$string['shownoattempts'] = 'Show learners with no attempts';
$string['shownoattemptsonly'] = 'Show only learners with no attempts';
$string['showteacherattempts'] = 'Show trainer attempts';
$string['showuserpicture_help'] = 'If enabled, the learner\'s name and picture will be shown on-screen during the attempt, and on the review screen, making it easier to check that the learner is logged in as themselves in an invigilated (proctored) exam.';
$string['shufflewithin_help'] = 'If enabled, the parts making up each question will be randomly shuffled each time a learner attempts the quiz, provided the option is also enabled in the question settings. This setting only applies to questions that have multiple parts, such as multiple choice or matching questions.';
$string['subnetnotice'] = 'This quiz has been locked so that it is only accessible from certain locations. Your computer is not on an allowed subnet. As trainer you are allowed to preview anyway.';
$string['usersnone'] = 'No learners have access to this quiz';
